Latest AML Report
curl --request GET \
--url https://api.dataspike.io/api/v3/aml/applicants/{applicant_id}/report \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v3/aml/applicants/{applicant_id}/report"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v3/aml/applicants/{applicant_id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requested_name": "<string>",
"search_uuid": "<string>",
"data": [
{
"uuid": "<string>",
"type": "Person",
"annotation": "<string>",
"tags": [],
"fields": {
"names": [
{
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"lang": "<string>"
}
],
"sources": [
{
"source_id": "<string>",
"name": "<string>",
"reason": "<string>",
"summary": "<string>",
"source_url": "<string>",
"tags": []
}
],
"media": [
{
"source_name": "<string>",
"source_url": "<string>",
"headline": "<string>",
"summary": "<string>",
"published_at": 123,
"importance_score": 123,
"sentiment": 123,
"tags": [],
"country_codes": [
"<string>"
]
}
],
"images": [
{
"description": "<string>",
"url": "<string>"
}
],
"contact_info": [
{
"emails": [
"<string>"
],
"phones": [
"<string>"
],
"websites": [
"<string>"
]
}
],
"registration_ids": [
{
"id": "<string>",
"id_type": "<string>",
"date": "2023-12-25",
"industry": "<string>",
"country": "<string>",
"imo_number": "<string>",
"mmsi_number": "<string>",
"currency": "<string>"
}
],
"addresses": [
{
"country": "<string>",
"region": "<string>",
"city": "<string>",
"postal_code": "<string>",
"address": "<string>"
}
],
"genders": [],
"dates_of_birth": [
{
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
}
],
"places_of_birth": [
{
"country": "<string>",
"region": "<string>",
"city": "<string>",
"postal_code": "<string>",
"address": "<string>"
}
],
"dates_of_death": [
{
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
}
],
"places_of_death": [
{
"country": "<string>",
"region": "<string>",
"city": "<string>",
"postal_code": "<string>",
"address": "<string>"
}
],
"citizenships": [
"<string>"
],
"nationalities": [
"<string>"
],
"political_roles": [
{
"role": "<string>",
"country": "<string>"
}
],
"occupations": [
{
"occupation": "<string>",
"country": "<string>"
}
],
"companies_and_enterprises": [
{
"name": "<string>",
"reference": "<string>",
"role": "<string>",
"country": "<string>",
"start_date": {
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
},
"end_date": {
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
},
"ownership_value": "<string>",
"currency": "<string>",
"ownership_percentage": "<string>",
"additional_source": {
"source_id": "<string>",
"name": "<string>",
"reason": "<string>",
"summary": "<string>",
"source_url": "<string>",
"tags": []
}
}
],
"owners_and_beneficiaries": [
{
"name": "<string>",
"reference": "<string>",
"role": "<string>",
"country": "<string>",
"start_date": {
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
},
"end_date": {
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
},
"ownership_value": "<string>",
"currency": "<string>",
"ownership_percentage": "<string>",
"additional_source": {
"source_id": "<string>",
"name": "<string>",
"reason": "<string>",
"summary": "<string>",
"source_url": "<string>",
"tags": []
}
}
],
"associates": [
{
"uuid": "<string>",
"name": "<string>",
"start_date": {
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
},
"end_date": {
"gte": "1987-12-24T00:00:00.000Z",
"lte": "1987-12-24T00:00:00.000Z"
},
"relationship": "<string>",
"is_relative": true
}
],
"fatf_records": [
{
"url": "<string>",
"description": "<string>",
"country": "<string>"
}
]
},
"updated_at": 123,
"importance_score": 123,
"search_metadata": {
"best_match_name": "<string>",
"name_match_percentage": 123,
"risk_profile_info": {
"id": "<string>",
"name": "<string>",
"version": 123
}
},
"risk_score_value": 123
}
],
"fatf_records": [
{
"url": "<string>",
"description": "<string>",
"country": "<string>"
}
]
}Applicants
Latest AML Report
Fetch latest AML Report for an applicant
GET
/
api
/
v3
/
aml
/
applicants
/
{applicant_id}
/
report
Latest AML Report
Authorizations
Path Parameters
Applicant ID
Example:
"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
Response
200 - application/json
Response
Search id, could be use later to fetch the existing search result
Assigned Risk Score
Available options:
Low, Medium, High Show child attributes
Show child attributes
FATF (Financial Action Task Force) records for countries referenced in search results
Show child attributes
Show child attributes
⌘I